#!/bin/sh

./filebrowser config init
./filebrowser users add admin admin
./filebrowser users update admin --perm.admin

input_file="addusers.txt"
while IFS=: read -r username password
do
   ./filebrowser users add $username $password
   ./filebrowser users update $username --scope /$username
done < "$input_file"
echo -n > $input_file

input_file="removeusers.txt"
while IFS=: read -r username
do
   ./filebrowser users rm $username
done < "$input_file"
echo -n > $input_file

./filebrowser
